de.esprit.netsuite.netdata.event

## Class UserAuthenticationEvent

- java.lang.Object
- - de.esprit.common.util.DumpableObject
  - - de.esprit.common.util.TransferableObject
    - - de.esprit.common.gui.event.GenericEvent
      - - de.esprit.netsuite.netdata.event.AbstractSessionEvent
        - - de.esprit.netsuite.netdata.event.SystemEvent
          - - de.esprit.netsuite.netdata.event.UserAuthenticationEvent

- All Implemented Interfaces:
    DeepCloneable, Dumpable, NetEvent, java.io.Serializable, java.lang.Cloneable

      public class UserAuthenticationEvent
      extends SystemEvent

  This event is sent by the server to notify about a user login or logout
  Author:
    Rainer Buesch
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static interface` | `UserAuthenticationEvent.Listener`
    `static interface` | `UserAuthenticationEvent.Source`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UserAuthenticationEvent(SessionId sessionId, boolean isLogin, int loginCount)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getLoginCount()`
    `UserId` | `getUserId()`
    `boolean` | `isFirstLogin()`
    `boolean` | `isLastLogout()`
    `boolean` | `isLogin()`
    `boolean` | `isLogout()`
    `ToString` | `toString(ToString s)` This method allows subclasses to add values to the existing ToString of the superclass.

    - ### Methods inherited from class de.esprit.netsuite.netdata.event.AbstractSessionEvent

      `getSessionId, setWasCausedByMe, toDumpString, wasCausedByMe`

    - ### Methods inherited from class de.esprit.common.util.TransferableObject

      `clone, deepClone`

    - ### Methods inherited from class de.esprit.common.util.DumpableObject

      `configureDumpHeadlineLength, configureDumpMaxElementsPrinted, copyDumpStringValues, copyToStringValues, createDumpHeader, toDumpString, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### UserAuthenticationEvent

          public UserAuthenticationEvent(SessionId sessionId,
                                 boolean isLogin,
                                 int loginCount)

  - ### Method Detail

    - #### getUserId

          public UserId getUserId()

    - #### isLogin

          public boolean isLogin()

    - #### isFirstLogin

          public boolean isFirstLogin()

    - #### getLoginCount

          public int getLoginCount()

    - #### isLogout

          public boolean isLogout()

    - #### isLastLogout

          public boolean isLastLogout()

    - #### toString

          public ToString toString(ToString s)

      Description copied from interface: `Dumpable`
      This method allows subclasses to add values to the existing ToString of the superclass. Usually subclasses only need to override this method.
      Specified by:
        `toString` in interface `Dumpable`
      Overrides:
        `toString` in class `AbstractSessionEvent`

Copyright © 2014 EsprIT-Systems. All Rights Reserved.